Wer nutzt php 7.0?

Guten Morgen,

seit kurzem hat unser Hoster php 7.0 freigeschaltet. Ich wollte mal nachhören. wer dies schon benutzt und ob es Probleme gibt/gab. Auf diser Seitewerden noch fehlende Updates bzgl. des ioncube loaders etc. erwähnt. Frage mich daher, ob wir updaten sollten. Verwende Shopware 5.1.2

Viele Grüße

Hallo,

ansich solltest du zumindestens keine verschlüsselten (Fremd-)Plugins einsetzen, wenn du php 7 freischaltest und aktivierst, da ja wie du bereits erwähnst der iOnCube-Loader dafür noch nicht freigegeben ist. Genutzt wird es bei uns noch nirgends.

Beste Grüße

Sebastian

Moin,
ich habe keine verschlüsselte Plugins und auch keinen Lizenzmanager im Einsatz, darum benötige ich auch keinen ioncube. Bei All-Inkl. gibt es schon seit ein paar Wochen PHP7, und ausser, dass die beiden kleinen Shops 5.1.2 / 5.1.3 wesentlich schneller sind  devil gibt es keine Auffälligkeiten  heart Derzeit als FastCGI: PHP 7.0.2
Solange ioncube nicht benötigt wird, spricht nach meinen Erfahrungen nichts gegen den Einsatz von PHP7

Ich nutze auch php7. Wenn es interessiert gibt es hier einen kleinen Shopware Benchmark mit php7 RC7 und Shopware 

1 Like

Danke für die Antworten. Woher weiß ich nun, welche Fremdplugins verschlüsselt sind? Sind das alle die, die den Lizenzmanager verwenden?

@mwhardware schrieb:

Danke für die Antworten. Woher weiß ich nun, welche Fremdplugins verschlüsselt sind? Sind das alle die, die den Lizenzmanager verwenden?

Im Grunde ja.

@mwhardware schrieb:

Danke für die Antworten. Woher weiß ich nun, welche Fremdplugins verschlüsselt sind? Sind das alle die, die den Lizenzmanager verwenden?

Hallo,

wenn du das entsprechende Plugin im Store noch nicht gekauft hast, kannst du es auch daran erkennen, dass das Plugin verschlüsselt ist, wenn es zu dem Plugin eine kostenlose Testversion gibt. Sonst erkennt man verschlüsselte Plugins ansich daran, dass Sie den Lizenzmanager voraussetzen und man eine Lizenz für das Plugin eintragen muss.

Beste Grüße

Sebastian

Habe heute php 7 erfolgreich aktiviert und bin recht angetan.

da die anleitung Update auf php7 - Doku - Bedienung - Bedienung Shopware - FAQ - Shopware Community | Knowledgebase  für mich absolut nicht hilfreich war und ich keinesfalls die beta version des ion cube loaders für php 7 installieren wollte, habe ich mr anderweitig weiter geholfen und es läuft jetzt ohne ioncube. musste zwar dafür ein paar plugins deaktivieren, aber die waren nicht sooo wichtig.

läuft hier im Testshop (Live) mit 5.2.5 mittlerweile ohne Probleme

Wie istd as eigentlich bei Templates wie:

 

Dort steht ja das diese verschlüsselt sind. Ioncube will ich mit PHP 7 eigentlich nciht mehr nutzen und verschlüsselte Themes machen eigentlich wenig sinn.

Gehen verschlüsselte Themes auch ohne Ioncube?

Frag doch den Entwickler der Templates, der müsste am ehesten weiterhelfen können.

Soweit ich mich erinner ist nur die Bootstrap-Datei verschlüsselt, nicht jedoch die Templatedateien ( im View-Verzeichnis). Ggf werden hier aber Variablen aus dem Plugin gesetzt, kann man aber sicher auch umgehen.

Gruss

Ich glaube die Theme.php wird, da .php auch mit verschlüsselt. Von daher wird wohl ionCube benötigt werden.